* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

section {
    border-bottom: 3px solid #ccc;
    padding-bottom: 60px;
    margin-bottom: 60px;
    scroll-margin-top: 100px;

}

body {
    font-family: 'Poppins', sans-serif;
    background: #f5f7fa;
    color: #222;
}

.no-scroll {
    overflow: hidden;
}

.hamburger.open span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
}

.hamburger.open span:nth-child(2) {
    opacity: 0;
}

.hamburger.open span:nth-child(3) {
    transform: rotate(-45deg) translate(6px, -6px);
}

.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    height: 70px;
    background: rgba(255, 255, 255, 0.9);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: right;
    align-items: center;
    padding: 0 60px;
    z-index: 1000;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.05);
}

.side-phone {
    position: fixed;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    background: #F7C948;
    color: #01169e;
    font-weight: 700;
    padding: 12px 20px;
    border-radius: 8px 0 0 8px;
    text-decoration: none;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    transition: 0.3s ease;
    white-space: nowrap;
}

.side-phone:hover {
    transform: translateY(-50%) translateX(-5px);
}

@media (max-width: 768px) {
    .side-phone {
        top: auto;
        bottom: 20px;
        right: 20px;
        transform: none;
        border-radius: 50px;
        padding: 12px 25px;
        font-size: 1rem;
    }
}

.logo {
    font-weight: 700;
    font-size: 1.2rem;
    color: #01169e;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 40px;
}

.nav-links a {
    text-decoration: none;
    color: #333;
    font-weight: 500;
    position: relative;
    transition: 0.3s ease;
}

.nav-links a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -5px;
    width: 0%;
    height: 2px;
    background: #F7C948;
    transition: 0.3s ease;
}

.nav-links a:hover {
    color: #01169e;
}

.nav-links a:hover::after {
    width: 100%;
}

.div_title {
    background-image:
        url('front_page.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center top;
    font-family: 'Poppins', sans-serif;
    width: 100%;
    min-height: 750px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 50px 10%;
}

.titlu {
    font-size: 3rem;
    color: #ffffff;
    opacity: 0;
    text-shadow: 0 4px 10px rgba(0, 0, 0, 0.05);
    transform: translateX(-100%);
    animation: slideIn 1.5s ease-out forwards;
}

.subtitle {
    color: #F7C948;
    font-size: 1.3rem;
    letter-spacing: 2px;
    text-transform: uppercase;
    margin-top: 25px;
    text-shadow: 0 2px 6px rgba(0, 0, 0, 0.04);

    opacity: 0;
    transform: translateX(-100%);
    animation: slideInSubtitle 1.5s ease-out forwards;
    animation-delay: 0.3s;
}

@keyframes slideIn {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes slideInSubtitle {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}



.text-image-phone-style {
    max-width: 1200px;
    margin: 120px auto;
    padding: 60px 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 60px;
    font-family: 'Poppins', sans-serif;
}

.phone-text,
.phone-image,
.info-section,
.about-container,
.professional-text {
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.8s ease;
}

.show {
    opacity: 1;
    transform: translateY(0);
}

.phone-text h2 {
    font-size: 2.5rem;
    margin-bottom: 20px;
    line-height: 1.3;
}

.phone_text_two {
    color: #F7C948;
}

.phone-image {
    flex: 1;
    animation: fadeLeft 1s ease forwards;
}

.phone-image img {
    width: 100%;
    border-radius: 20px;
    box-shadow: 0 25px 60px rgba(0, 0, 0, 0.12);
}

@keyframes fadeRight {
    from {
        opacity: 0;
        transform: translateX(60px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes fadeLeft {
    from {
        opacity: 0;
        transform: translateX(-60px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

.info-section {
    max-width: 750px;
    margin: 120px auto;
    padding: 50px 60px;
    background: #ffffff;
    border-radius: 20px;
    box-shadow: 0 25px 60px rgba(0, 0, 0, 0.08);
    position: relative;
}

.info-section::before {
    content: "";
    position: absolute;
    left: 0;
    top: 40px;
    bottom: 40px;
    width: 6px;
    background: linear-gradient(to bottom, #01169e, #F7C948);
    border-radius: 10px;
}

.info-title {
    font-size: 1.6rem;
    margin-bottom: 30px;
    font-weight: 600;
}


.info-card ul {
    list-style: none;
    padding-left: 0;
}

.info-list li {
    padding: 15px 0 15px 25px;
    border-bottom: 1 px solid #eee;
    position: relative;
    transition: 0.3s ease;
}

.info-list li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 22px;
    width: 8px;
    height: 8px;
    background: #F7C948;
    border-radius: 50%;
}


.info-card ul li:last-child {
    border-bottom: none;
}

.info-card ul li:hover {
    transform: translateX(8px);
    color: #01169e
}

.info-section ul {
    list-style: none;
    padding-left: 0;
    margin-top: 20px;
}

.info-section ul li {
    border-bottom: 1px solid black;
    padding: 10px 0;
    padding-left: 15px;
}

.info-section ul li:last-child {
    border-bottom: none;
}

@keyframes slideInText {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes slideInImage {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

.phone-section {
    max-width: 1200px;
    margin: 120px auto;
    padding: 60px 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 60px;
}

.phone-text h2 {
    font-size: 2.5rem;
    margin-bottom: 40px;
    line-height: 1.3;
}

.phone-number {
    display: inline-block;
    font-size: 1.8rem;
    font-weight: 700;
    text-decoration: none;
    color: #01169e;
    border: 2px solid #F7C948;
    padding: 14px 35px;
    border-radius: 40px;
    transition: 0.3s ease;
}

.phone-number:hover {
    background: #F7C948;
    color: #000;
    transform: translateY(-4px);
}


.phone-image img {
    width: 80%;
    border-radius: 20px;
    box-shadow: 0 25px 60px rgba(0, 0, 0, 0.12);
}

.professional-text {
    max-width: 900px;
    margin: 80px auto;
    padding: 30px 40px;
    font-family: 'Poppins', sans-serif;
    font-size: 1.2rem;
    line-height: 1.8;
    color: #01169e;
    background: #f9f9f9;
    border-radius: 15px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
    text-align: justify;
}

.about-section {
    max-width: 1200px;
    margin: 80px auto;
    padding: 40px 20px;
    font-family: 'Poppins', sans-serif;
}

.about-container {
    display: flex;
    align-items: center;
    gap: 50px;
    flex-wrap: wrap;
}

.about-image {
    flex: 1 1 400px;
}

.about-image img {
    width: 100%;
    border-radius: 20px;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.1);
    object-fit: cover;
}

.about-text {
    flex: 1 1 500px;
}

.about-text h2 {
    font-size: 2.5rem;
    margin-bottom: 25px;
    color: #01169e;
    font-weight: 800;
}

.about-text .definition {
    font-size: 1.2rem;
    line-height: 1.7;
    color: #333;
    margin-bottom: 20px;
}

.about-text .additional-info {
    font-size: 1.1rem;
    line-height: 1.6;
    color: #555;
}

.about-container {
    background: #fff;
    padding: 30px;
    border-radius: 20px;
    box-shadow: 0 20px 50px rgba(0, 0, 0, 0.08);
}

.cheap_text {
    text-align: center;
}

.footer {
    background: #01169e;
    color: #fff;
    padding: 60px 10% 30px;
    font-family: 'Poppins', sans-serif;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    gap: 50px;
    flex-wrap: wrap;
}

.footer-column {
    flex: 1 1 250px;
}

.footer-column h3,
.footer-column h4 {
    margin-bottom: 20px;
    color: #F7C948;
}

.footer-column p {
    line-height: 1.6;
    margin-bottom: 10px;
}

.footer-column ul {
    list-style: none;
    padding: 0;
}

.footer-column ul li {
    margin-bottom: 10px;
}

.footer-column ul li a {
    text-decoration: none;
    color: #fff;
    transition: 0.3s ease;
}

.footer-column ul li a:hover {
    color: #F7C948;
    padding-left: 5px;
}

.footer-bottom {
    text-align: center;
    margin-top: 40px;
    padding-top: 20px;
    border-top: 1px solid rgba(255, 255, 255, 0.2);
    font-size: 0.9rem;
}

@media (max-width: 768px) {
    .footer-container {
        flex-direction: column;
        text-align: center;
        gap: 30px;
    }
}

.hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
    gap: 6px;
}

.hamburger span {
    width: 25px;
    height: 3px;
    background: #01169e;
    transition: 0.3s ease;
}

@media (max-width: 768px) {

    .nav-links {
        position: fixed;
        top: 0;
        right: -100%;
        height: 100vh;
        width: 70%;
        background: #01169e;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 40px;
        transition: 0.4s ease;
    }

    .nav-links a {
        color: white;
        font-size: 1.2rem;
    }

    .nav-links.active {
        right: 0;
    }

    .hamburger {
        display: flex;
    }

}